Bug 2026600 - FTBFS: mariadb on armv7
Summary: FTBFS: mariadb on armv7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 35
Hardware: armv7hl
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-25 09:32 UTC by Zuzana Miklankova
Modified: 2021-12-13 00:30 UTC (History)
8 users (show)

Fixed In Version: mariadb-10.5.13-1.fc35 mariadb-10.5.13-1.fc34 mariadb-10.5-3420211202132324.058368ca mariadb-10.5-3520211202132324.f27b74a8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-11 01:32:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Zuzana Miklankova 2021-11-25 09:32:15 UTC
1. Please describe the problem:
FTBFS: mariadb ( only armv7 is affected )


2. Specify used package versions
# mariadb 10.5.12


5. Can you reproduce this issue? If so, please provide the steps to reproduce the issue below:
fedpkg build --scratch --srpm mariadb-10.5.12-1.fc35.src.rpm

The issue is present also in postgres (BZ2026165).

Errorlog example:

/builddir/build/BUILD/mariadb-10.5.12-downstream_modified/sql/sp_head.cc: In member function 'virtual int sp_instr_stmt::exec_core(THD*, uint*)':
/builddir/build/BUILD/mariadb-10.5.12-downstream_modified/sql/sp_head.cc:3771:1: internal compiler error: in create_fix_barrier, at config/arm/arm.c:17878
 3771 | }
      | ^
Please submit a full bug report,
with preprocessed source if appropriate.

Comment 1 Lukas Javorsky 2021-11-25 09:59:45 UTC
PR for Rawhide: https://src.fedoraproject.org/rpms/mariadb/pull-request/41

PR for F35: https://src.fedoraproject.org/rpms/mariadb/pull-request/42

If it's necessary (FTBFS blocks someone) we can merge this workaround, however, we need to remember to revert it when the bug is resolved on the GCC side.

Right now nobody is blocked by this FTBFS, so we can wait with the merge.

Comment 2 Lukas Javorsky 2021-11-25 10:39:43 UTC
The discussion about the GCC bug is here: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=103395

The problem will probably be in the 'systemtap-sdt-devel' or 'gcc' packages, but we need to wait for the upstream to determine the real issue.

Comment 3 Fedora Update System 2021-12-02 15:32:09 UTC
FEDORA-2021-72d5918529 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-72d5918529

Comment 4 Fedora Update System 2021-12-02 15:32:30 UTC
FEDORA-2021-acef1dc8cf has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-acef1dc8cf

Comment 5 Fedora Update System 2021-12-03 01:49:41 UTC
FEDORA-2021-acef1dc8cf has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-acef1dc8cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-acef1dc8cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-12-03 02:08:58 UTC
FEDORA-2021-72d5918529 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-72d5918529`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-72d5918529

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-12-04 00:14:35 UTC
FEDORA-MODULAR-2021-094ff554ca has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-094ff554ca

Comment 8 Fedora Update System 2021-12-04 00:14:46 UTC
FEDORA-MODULAR-2021-c8639f6351 has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c8639f6351

Comment 9 Fedora Update System 2021-12-05 01:18:48 UTC
FEDORA-MODULAR-2021-c8639f6351 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c8639f6351

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-12-05 01:19:57 UTC
FEDORA-MODULAR-2021-094ff554ca has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-094ff554ca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-12-11 01:32:12 UTC
FEDORA-2021-acef1dc8cf has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-12-11 01:40:06 UTC
FEDORA-2021-72d5918529 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-12-13 00:22:34 UTC
FEDORA-MODULAR-2021-094ff554ca has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-12-13 00:30:08 UTC
FEDORA-MODULAR-2021-c8639f6351 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.